Name: giftui
Version: 0.4.2
Release: alt0.cvs20050107
License: GPL
Group: Networking/File transfer
URL: http://giftui.sf.net/
#Source0: %{name}-%{version}.tar.bz2
Source0: %{name}-cvs20050107.tar.bz2
Source1: %name.menu

Summary: giFTui is a graphical user interface to giFT using GTK+2
Summary(ru_RU.KOI8-R): giFTui -    giFT  GTK+2

# Automatically added by buildreq on Thu Feb 03 2005
BuildRequires: GConf2 ORBit2-devel fontconfig freetype2 glib2-devel hostinfo libGConf2-devel libatk-devel libgift-devel libgtk+2-devel libpango-devel openldap-clients pkgconfig xorg-x11-libs

%description
giFTui was designed to be easily usable, somehow using the same logic as other well-known peer-2-peer clients.
  It's features are : 
  -multiple browse user and search tabs
  -status tab (gives you information about the network(s))
  -transfer tab (gives you info about... your transfers !!)
  -configure tab (enables you to configure giFTui as well as giFT and its protocols)

%description -l ru_RU.KOI8-R
giFTui    ,     p2p .
    :
  -   
  -  (  ())
  - transfer
  -  ( giFTui, giFT  )

%prep
%setup -q -n %name

%build
./configure --prefix=%_prefix --with-gconf-schema-file-dir=%_sysconfdir/gconf/schemas  
make

%install
make "DESTDIR=$RPM_BUILD_ROOT" install
%__install -p -D -m644 %SOURCE1 $RPM_BUILD_ROOT%_menudir/%name

%define schemas giftui

%post
%update_menus 
%gconf2_install %schemas

%preun
%gconf2_uninstall %schemas

%postun
%clean_menus

%files
%doc NEWS TODO README AUTHORS ChangeLog COPYING
%_bindir/*
%_datadir/pixmaps/*
%_datadir/pixmaps/*
%_datadir/%name
%_datadir/locale/*
%_datadir/applications/*
%_menudir/%name
%config %_sysconfdir/gconf/schemas/*

%changelog
* Wed Feb 02 2005 Vasya Borisov <vasy@altlinux.ru> 0.4.2-alt0.cvs20050107
- New version 0.4.2 updated from cvs:

* Wed Sep 08 2004 Vasya Borisov <vasy@altlinux.ru> 0.3.1-alt4
- Fixed #4412
* Mon Jan 05 2004 Vasya Borisov <vasy@altlinux.ru> 0.3.1-alt3
- Rebuild whitn new libgift
* Fri Nov 14 2003 Vasya Borisov <vasy@altlinux.ru> 0.3.1-alt2
- Add russian description
* Wed Oct 22 2003 Vasya Borisov <vasy@altlinux.ru> 0.3.1-alt1
- New version 0.3.1:
  - added hide/show shares
  - good resized close button tab
* Tue Oct 14 2003 Vasya Borisov <vasy@altlinux.ru> 0.3.0-alt1
- New version 0.3.0:
  - Most of the code has been rewrited using GObject and some little feature has been added.
* Tue Oct 07 2003 Vasya Borisov <vasy@altlinux.ru> 0.2.0-alt1
- Initial release for Sisyphus
